%global dlrn_nvr pycadf-3.1.1-1.20220727223847.4179996
%global dlrn 1
%define upstream_version 3.1.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a
# Created by pyp2rpm-1.0.1
%global sname pycadf

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc DMTF Cloud Audit (CADF) data model


Name:           python-%{sname}
Version: 3.1.1
Release: 1.20220727223847.4179996%{?dist}
Summary:        DMTF Cloud Audit (CADF) data model

License:        ASL 2.0
URL:            https://launchpad.net/pycadf
Source0: pycadf-3.1.1-1.20220727223847.4179996.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=4179996d52dbd37f3fd966225b4157343a75239c

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{sname}/%{sname}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif


%description
%{common_desc}


%package -n python3-%{sname}
Summary:        DMTF Cloud Audit (CADF) data model
%{?python_provide:%python_provide python3-%{sname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

Requires:       python3-debtcollector >= 1.2.0
Requires:       python3-oslo-config >= 2:5.2.0
Requires:       python3-oslo-serialization >= 2.18.0
Requires:       python3-pytz
Requires:       python3-six >= 1.10.0
Requires:       python-%{sname}-common = %{version}-%{release}

%description -n python3-%{sname}
%{common_desc}

%package -n python-%{sname}-common
Summary:        DMTF Cloud Audit (CADF) data model
%{?python_provide:%python_provide python-%{sname}-common}

%description -n python-%{sname}-common
%{common_desc}


%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n %{sname}-%{upstream_version}
# Remove bundled egg-info
rm -rf %{sname}.egg-info


%build
%{py3_build}


%install
%{py3_install}

mkdir -p %{buildroot}/%{_sysconfdir}
mv %{buildroot}/usr/etc/%{sname} %{buildroot}/%{_sysconfdir}/


%files -n python3-%{sname}
%{python3_sitelib}/%{sname}
%{python3_sitelib}/%{sname}-%{upstream_version}-py%{python3_version}.egg-info

%files -n python-%{sname}-common
%doc README.rst
%license LICENSE
%dir %{_sysconfdir}/%{sname}
%config(noreplace) %{_sysconfdir}/%{sname}/*.conf


%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.1.1-1.20220727223847.4179996
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 3.1.1-0.20220712120508.4179996
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.1.1-0.20210527183727.4179996
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Correct a typo in the document
- Fix hacking min version to 3.0.1

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme version
- Add Python3 victoria unit tests
- Update hacking for Python3
- Use unittest.mock instead of third party mock

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump the openstackdocstheme extension to 1.20
- Drop python 2.7 support and testing
- Change README.rst with a better title
- Add swift_api_audit_map.conf to setup.cfg
- Switch to Ussuri jobs
- Update source link in readme
- Update the constraints url
- Add swift_api_audit_map.conf

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


